
# Tell MAKE to figure out what header files the source depends upon

.autodepend


# The "&&|" says to copy all that follows up to the next "|"
# into a temp file which is deleted at the end
#
# The temp file name would be placed on the command line where
# the "&&" is found
#
# The "@" before indicates to TLINK that this is a response file

bwccdmo2.exe : bwccdmo2.mak bwccdmo2.def bwccdmo2.res bwccdmo2.obj
  tlink /c/v/x/Twe/C @&&|
c0ws.obj+
bwccdmo2.obj
bwccdmo2.exe
nul.map
import.lib+
bwcc.lib+
cws.lib
bwccdmo2.def
|
  brc bwccdmo2.res bwccdmo2.exe


# Compile to an object file

bwccdmo2.obj : bwccdmo2.c
  bcc -c -ms -w -v -f- -P-.C -tDe -tWE -DWIN31;STRICT bwccdmo2.c

# compile the resource file

bwccdmo2.res : bwccdmo2.rc
  brc -Ic:\bc4\include -31 -R -FO$@ bwccdmo2.rc


# If the DEF file doesn't exist, create it
# This copies everything between "&&|" and "|"
# to the file "bwccdmo2.def"

bwccdmo2.def : bwccdmo2.mak
  copy &&|
DESCRIPTION 'BWCC Demo 2'
EXETYPE     WINDOWS
CODE        PRELOAD MOVEABLE DISCARDABLE
DATA        PRELOAD MOVEABLE MULTIPLE
HEAPSIZE    4096
STACKSIZE   8192
EXPORTS     WNDPROC
| bwccdmo2.def


